//! \file Interface to the world ADT
#ifndef PUNE_WORLD
#define PUNE_WORLD
#include<collide.h>
#include<display.h>
#include<object.h>
#include<SDL.h>

//! World ADT
typedef void*  world;

//! Initializes a world.
world world_init();
//! Destroys a world.
void world_destroy(world);

//! Adds an object to a world.
id world_attach_object(world, object);

//! Do a world step
int world_step(world);

#endif
