#ifndef PUNE_COLLIDE
#define PUNE_COLLIDE
#include<id.h>
#include<SDL.h>

typedef void*  collide;

collide collide_init(int w, int h);
void collide_destroy(collide);

id collide_do(collide, SDL_Rect);
int collide_ndo(collide, SDL_Rect, int max, id * ids); //not implemented
id collide_who(collide, int x, int y);

void collide_put(collide, SDL_Rect, id id);
void collide_cut(collide, SDL_Rect);

int collide_getwidth(collide);
int collide_getheight(collide);
int collide_clean(collide);
#define COLLIDE(x,y) collide[world->arena.w*y+x]

#endif
