
#ifndef _PUNE_COUNTER_
#define _PUNE_COUNTER_
#include<SDL.h>
#include<SDL_ttf.h>
#include<action.h>
#include<object.h>
/*Lo decidi, el contructor de un  objeto espera el display y el collide,
ademas en la obj_ops debe haber una funcion para destruir mejor*/

#ifndef _COUNTER_C_
typedef void * counter;
#endif


counter counter_init(world, display, id, id, int x, int y, Uint32 color);
void counter_destroy(counter);

int counter_step(counter);
int counter_alive(counter);
int counter_show(counter);
int counter_action(counter, SDL_Event * action);


#define obj_counter(world,display,id,x,y,angle,lifetime,color)\
object_init(counter_init(world,display,id,x,y,angle,lifetime,color),&counter_object_operations)

struct object_operations counter_object_operations ={
    obj_step: &counter_step,
    obj_action: &counter_action,
    obj_alive: &counter_alive,
    obj_destroy: &counter_destroy
};


struct object counter_obj_template ={
    object_ops: &counter_object_operations,
};


#endif
