#ifndef _PUNE_PARTICLE_
#define _PUNE_PARTICLE_
#include<SDL.h>
#include<action.h>
#include<object.h>
/*Lo decidi, el contructor de un  objeto espera el display y el collide,
ademas en la obj_ops debe haber una funcion para destruir mejor*/

#ifndef _PARTICLE_C_
typedef void * particle;
#endif

particle particle_init(world, display, id, float x, float y, float angle, int lifetime, Uint32 color);
void particle_destroy(particle);

int particle_step(particle);
int particle_alive(particle);
int particle_show(particle);
int particle_action(particle, SDL_Event * action);


#define obj_particle(world,display,id,x,y,angle,lifetime,color)\
object_init(particle_init(world,display,id,x,y,angle,lifetime,color),&particle_object_operations)

struct object_operations particle_object_operations ={
    obj_step: &particle_step,
    obj_action: &particle_action,
    obj_alive: &particle_alive,
    obj_destroy: &particle_destroy
};


struct object particle_obj_template ={
    object_ops: &particle_object_operations,
};


#endif
