#ifndef _REPUNE_PLAYER_
#define _REPUNE_PLAYER_
#include<SDL.h>
#include<action.h>
#include<object.h>
#include<world.h>

typedef void * repune_player;

repune_player player_init (world world, collide collide, display display, id id, int x, int y, int w, int h, float angle, float rotspeed, int blanks_steps, int draw_steps, Uint32 Color, Uint32 Colorblank);
void player_destroy(repune_player pp);


int player_action(repune_player pp, SDL_Event * action);
int player_alive(repune_player pp);
/*! Debe calcular la potencial nueva posicion actualiza la pocision
interna, depende de si choco' o no o cocho' con algo debe elegir el
frame  que prefiera o morir o no se.*/
int player_step(repune_player pp);

//SDL_Rect player_getpos(repune_player pp);
//SDL_Surface player_draw(repune_player pp);


id player_getid(repune_player pp);
int player_getxpos(repune_player pp);
int player_getypos(repune_player pp);


#define obj_player(world,display ,collide, id,x,y,angle,rotspeed,blanks_steps,draw_steps,file) \
object_init(player_init(world,display,collide,id,x,y,angle,rotspeed,blanks_steps,draw_steps,file),&player_object_operations)

struct object_operations player_object_operations ={
    obj_step: &player_step,
    obj_action: &player_action,
    obj_alive: &player_alive,
    obj_destroy: &player_destroy
};

struct object player_obj_template ={
    object_ops: &player_object_operations,
};


#endif
